# loop.asm
# c =  a x b
	.data
var_a:	.word 8		# variable a
var_b:	.word 5		# variable b
var_c:	.word 0		# variable c

	.text
main:
	lw	$t1, var_a		# load a in $t1
	lw	$t2, var_b		# load b in $t2

	# loop: add a to result, do this b times
	li	$t0, 0			# loop register
	li	$t3, 0			# result register
loop:
	bge	$t0, $t2, endloop	# end loop if loop register >= b
	add	$t3, $t3, $t1		# add a to result
	addi	$t0, $t0, 1		# increase loop register
	j	loop			# jump to loop
endloop:
	sw	$t3, var_c			# store result into c